Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Cert_Extension::Unknown_Critical_Extension Class Referencefinal

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::Unknown_Critical_Extension:

## Public Member Functions
Unknown_Critical_Extension * | copy () const override
OID | oid_of () const override
| Unknown_Critical_Extension (OID oid)
void | validate (const X509_Certificate &, const X509_Certificate &, const std::vector< std::shared_ptr< const X509_Certificate >> &, std::vector< std::set< Certificate_Status_Code >> &cert_status, size_t pos) override

## Detailed Description

An unknown X.509 extension marked as critical Will always add a failure to the path validation result.

Definition at line 531 of file x509_ext.h.

## Constructor & Destructor Documentation

Botan::Cert_Extension::Unknown_Critical_Extension::Unknown_Critical_Extension | ( | OID | oid | ) |
| inline explicit

Definition at line 534 of file x509_ext.h.

534 : m_oid(oid) {}

## Member Function Documentation

Unknown_Critical_Extension* Botan::Cert_Extension::Unknown_Critical_Extension::copy | ( |  | ) | const
| inline override virtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 536 of file x509_ext.h.

References m_oid.

537 { return new Unknown_Critical_Extension(m_oid); }
Botan::Cert_Extension::Unknown_Critical_Extension::Unknown_Critical_Extension
Unknown_Critical_Extension(OID oid)
Definition: x509_ext.h:534

OID Botan::Cert_Extension::Unknown_Critical_Extension::oid_of | ( |  | ) | const
| inline override virtual

Returns
  OID representing this extension

Reimplemented from Botan::Certificate_Extension.

Definition at line 539 of file x509_ext.h.

References m_oid.

540 { return m_oid; }

void Botan::Cert_Extension::Unknown_Critical_Extension::validate | ( | const X509_Certificate & | ,
|  | const X509_Certificate & | ,
|  | const std::vector< std::shared_ptr< const X509_Certificate >> & | ,
|  | std::vector< std::set< Certificate_Status_Code >> & | cert_status,
|  | size_t | pos
| ) |  |
| inline override virtual

Reimplemented from Botan::Certificate_Extension.

Definition at line 542 of file x509_ext.h.

References Botan::UNKNOWN_CRITICAL_EXTENSION.

546 {
547 cert_status.at(pos).insert(Certificate_Status_Code::UNKNOWN_CRITICAL_EXTENSION);
548 }
Botan::Certificate_Status_Code::UNKNOWN_CRITICAL_EXTENSION

The documentation for this class was generated from the following files:

- src/lib/x509/x509_ext.h
- src/lib/x509/x509_ext.cpp